### Method

# Gcr Prompt confirm_run

#### Declaration [src]

    GcrPromptReply
    gcr_prompt_confirm_run (
      GcrPrompt* prompt,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Prompts for confirmation asking a cancel/continue style question. Set the various properties on the prompt before calling this function to represent the question correctly.

This method will block until the a response is returned from the prompter and will run a main loop similar to a `gtk_dialog_run()`. The application will remain responsive but care must be taken to handle reentrancy issues.

`GCR_PROMPT_REPLY_CONTINUE` will be returned if the user confirms the prompt. The return value will also be `GCR_PROMPT_REPLY_CANCEL` if the user cancels or if an error occurs. Check the `error` argument to tell the difference.

#### Parameters

`cancellable`

  Type: `GCancellable`

  Optional cancellation object.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GcrPromptReply`

The reply from the prompt.